---
title: "4 months in: reviewing my budget bike parts"
date: 2024-03-26T11:00:00Z
tags:
    - cycling
---

A little over 4 months ago, I posted about some [low cost shifters](/post/first-thoughts-sensah-team-pro-shifters) that I bought - the Sensah Team Pros from AliExpress. In the interim, I've also bought a few other cheaper parts from AliExpress in an effort to keep maintenance costs down. Particularly on my commuter, the costs can mount up quickly for chains & cassettes, and even derailleurs see a lot of wear, so I figured anything I can do to reduce that price would be ideal.3 I've had a few months to try them all out, so here are some thoughts and warnings.

I'm including links to the products/stores I bought the components from, however these are not affiliate links and I'm not being paid/sponsored to post any of these, it's purely for information. Also, the listed price paid is the total price including VAT, rather than the list price.

## Sensah Team Pro 2x11 speed shifters

Link: https://www.aliexpress.com/item/1005005648190524.html
Price paid: £64.77
Rating: 5/5

![Sensah gear shifters mounted onto a road bike](./src/images/sensah_shifters.jpg)

These shifters are _excellent_. I've done maybe 2000km on them, and they've been faultless so far. They're light, feel really comfortable, and shift beautifully. I bought them to replace some broken Shimano 105 shifters, as these are compatible, and haven't looked back once. I'd quite happily use these on every single bike I owned, I'm that impressed with them - they're mechanical only, but pair them with some Shimano 105 derailleurs to get an excellent mini groupset for < £100[^1].

## Sensah Ignite 2x9-speed shifters

Link: https://www.aliexpress.com/item/4000814671100.html
Price paid: £40.68
Rating: 5/5

I bought these for my commuter bike because I needed new brake levers anyway, and was running a Shimano Claris derailleur at 9-speed via friction shifting. The Claris can run 9-speed indexed too, as they have the same pull ratios, so I figured why the hell not? Picked these up, fitted them, and just like the Team Pros they've been great. The feel of the aluminium isn't as nice - it has a sort of chalky texture to it - but otherwise I've got no problems with them at all. After my Claris derailleur suffered from a bad case of "ripped apart by my wheel spokes", I replaced it with a Sora derailleur and it's been shifting perfectly since. 

## ZTTO rim brake calipers

Link: https://www.aliexpress.com/item/1005006054821364.html
Price paid: £13.97
Rating: 3/5

![Black ZTTO rim brakes mounted onto the front fork of a road bike](./src/images/ztto_rim_brakes.jpg)

I'm going to preface this by saying these brakes haven't ever _failed_ (yet). In the "does this stop the bike" sense, they've been absolutely fine. These are £14 rim brake calipers I bought after my Tektro ones bit the dust and I needed an interim replacement. Where they fall down is the build quality - clearly a lot of the bolts and screws aren't made of decent stainless steel, because after even a short while they were quite rusty. Secondly, both calipers seem to stick quite a lot (as in they don't release fully after letting off the brake), and nothing I've tried so far (adjusting tension, lubricating the springs) has made much of a difference. However, I suspect it might be a cable routing issue, so I'm going to try swapping the cables & housing, and see how that pans out.

Overall though, I wouldn't bother. Don't gamble with brakes, spend the extra bit of cash and get a decent set of branded brakes - the Shimano 105 brakeset can come in at < £60 in some places, which is a worthwhile purchase in my opinion.

## ZTTO V-Brakes

Link: https://www.aliexpress.com/item/1005003734849084.html
Price paid: £15.32
Rating: 1/5

Again, I bought these (along with some cable pull actuators so that the levers would work) for my commuter bike, because I just could not get along with the cantilever brakes, and the cable stop at the front kept causing my stem headset to loosen[^2]. To put it bluntly, they're terrible. I had lots of trouble with the tension spring, so I'd frequently have one side that wouldn't disengage. Then, just before I was about to head home from work, the front brake decided to call it quits and straight up split, meaning I had to ride _very_ carefully home with just the rear brake.

These brakes suck, please do _not_ buy them.

## ZTTO chains (various)

Price paid: £7-£15
Rating: 1/5

Lo and behold! More ZTTO stuff that's absolutely useless! I've had a few of their chains in 8,9, and 11-speed options. Each one lasted maybe 2 weeks before being completely stretched, even in relatively dry weather and with frequent cleaning & lubrication. The 11-speed had stretched to well over 0.75% wear after less than 2 weeks. There are decent chains on AliExpress - the YBN chains are reportedly good, which I'll be trying out soon - but these just aren't one of those.


## Suntour Self-Energising cantlever brake

Link: https://www.sjscycles.co.uk/brakes/0-suntour-selfenergising-se-cantilever-brakes-rear
Price paid: £12.49
Rating: 4/5

These are slightly different because they're not from Aliexpress, and they're from a real brand! But they're surprisingly powerful cantilever brakes that operate using a "self-energising" method; essentially, the arms have small springs in them that, as the brakes are engaged, will "pull in" with the rim and add extra power. They were surprisingly effective, and a bit easier to configure than normal cantilever brakes. The only downside was that this model is only for the rear, and I couldn't find a matching front brake anywhere.


[^1]: The Shimano front derailleur, the RD-R7000, is only [£7.99 at Ribble right now](https://www.ribblecycles.co.uk/shimano-fd-r7000-105-braze-on/)
[^2]: This didn't actually solve that problem, I wound up replacing the headset
